%define name perl-POP3Client
%define realname POP3Client
%define version 2.6
%define release 2mdk

Name:		%{name}
Summary:	POP3Client module for perl (Mail_and_Usenet_News/Mail)
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
Buildroot:	/var/tmp/%{name}-buildroot
Packager:	Vincent Danen <vdanen@linux-mandrake.com>


%description
POP3Client is a Perl module to provide an object-oriented interface to a
POP3 server.

%prep -q
%setup -n %{realname}-%{version}

%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{realname}-%{version}


%files
%defattr(-,root,root)
%{_prefix}/lib/perl5/site_perl/5.6.0/%{_arch}-linux/auto/Mail/POP3Client/.packlist
%{_prefix}/lib/perl5/site_perl/5.6.0/Mail/POP3Client.pm
%{_prefix}/lib/perl5/site_perl/5.6.0/auto/Mail/POP3Client/autosplit.ix
%{_prefix}/lib/perl5/man/man3/Mail::POP3Client.3*


%changelog
* Fri May 5 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.6-2mdk
- fix group

* Wed Mar 8 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 2.6

* Tue Mar 7 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
